Thread safe and track able resource allocation (#314)

Thread safe and track able resource allocation
symbols: fix conflics with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make

this commit tested with libaom ca3651934f9ec2bf70cd855b5cddce9124ef317e
no conflict
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make

this commit tested with libaom ca3651934f9ec2bf70cd855b5cddce9124ef317e
no conflict
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make

this commit tested with libaom ca3651934f9ec2bf70cd855b5cddce9124ef317e
no conflict
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make

this commit tested with libaom ca3651934f9ec2bf70cd855b5cddce9124ef317e
no conflict
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make

this commit tested with libaom ca3651934f9ec2bf70cd855b5cddce9124ef317e
no conflict
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make

this commit tested with libaom ca3651934f9ec2bf70cd855b5cddce9124ef317e
no conflict
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make

This commit tested with libaom ca3651934f9ec2bf70cd855b5cddce9124ef317e
no conflict
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make

This commit tested with libaom ca3651934f9ec2bf70cd855b5cddce9124ef317e
no conflicts
symbols: fix conflicts with aom

We use many functions from liboam. We will see many duplicate define errors
if we enable liboam static library + svtav1.
this will fix #453

how to test?
use following commandline to build ffmpeg
./configure --enable-libaom --enable-libsvtav1 && make

This commit tested with libaom ca3651934f9ec2bf70cd855b5cddce9124ef317e
no conflicts
